<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.integratedForegroundTaskDetail.dao.impl.SysIntegratedForegroundTaskDetailDaoImpl">

    <resultMap id="get-SysIntegratedForegroundTaskDetailEntity-result" type="com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity" >
       <result property="id" column="id" jdbcType="VARCHAR"/>
           <result property="formmainId" column="formmain_id" jdbcType="VARCHAR"/>
           <result property="argCode" column="arg_code" jdbcType="VARCHAR"/>
           <result property="argName" column="arg_name" jdbcType="VARCHAR"/>
           <result property="argType" column="arg_type" jdbcType="VARCHAR"/>
           <result property="argValue" column="arg_value" jdbcType="VARCHAR"/>
           <result property="remark" column="remark" jdbcType="VARCHAR"/>
           <result property="sorts" column="sorts" jdbcType="INTEGER"/>
           <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
           <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
           <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
           <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
           <result property="sts" column="sts" jdbcType="VARCHAR"/>
           <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SysIntegratedForegroundTaskDetailEntity_Base_Column_List">
        id
       ,formmain_id 
        ,arg_code 
        ,arg_name 
        ,arg_type 
        ,arg_value 
        ,remark 
        ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SysIntegratedForegroundTaskDetailEntity-result" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity">
    select
    <include refid="SysIntegratedForegroundTaskDetailEntity_Base_Column_List" />
    from sys_integrated_foreground_task_detail
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="formmainId != null and formmainId != ''"> and formmain_id = #{formmainId} </if>
            <if test="argCode != null and argCode != ''"> and arg_code = #{argCode} </if>
            <if test="argName != null and argName != ''"> and arg_name = #{argName} </if>
            <if test="argType != null and argType != ''"> and arg_type = #{argType} </if>
            <if test="argValue != null and argValue != ''"> and arg_value = #{argValue} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity">
        select  count(1)   from sys_integrated_foreground_task_detail
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="formmainId != null and formmainId != ''"> and formmain_id = #{formmainId} </if>
            <if test="argCode != null and argCode != ''"> and arg_code = #{argCode} </if>
            <if test="argName != null and argName != ''"> and arg_name = #{argName} </if>
            <if test="argType != null and argType != ''"> and arg_type = #{argType} </if>
            <if test="argValue != null and argValue != ''"> and arg_value = #{argValue} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SysIntegratedForegroundTaskDetailEntity-result" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity">
    select
    <include refid="SysIntegratedForegroundTaskDetailEntity_Base_Column_List" />
    from sys_integrated_foreground_task_detail
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="formmainId != null and formmainId != ''"> and formmain_id like concat('%',#{formmainId},'%') </if>
            <if test="argCode != null and argCode != ''"> and arg_code like concat('%',#{argCode},'%') </if>
            <if test="argName != null and argName != ''"> and arg_name like concat('%',#{argName},'%') </if>
            <if test="argType != null and argType != ''"> and arg_type like concat('%',#{argType},'%') </if>
            <if test="argValue != null and argValue != ''"> and arg_value like concat('%',#{argValue},'%') </if>
            <if test="remark != null and remark != ''"> and remark like concat('%',#{remark},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="org_id != null and org_id != ''"> and org_id like concat('%',#{org_id},'%') </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="SysIntegratedForegroundTaskDetailentity_list_or" resultMap="get-SysIntegratedForegroundTaskDetailEntity-result" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity">
    select
    <include refid="SysIntegratedForegroundTaskDetailEntity_Base_Column_List" />
    from sys_integrated_foreground_task_detail
    <trim prefix="where" prefixOverrides="and"> 
         <if test="id != null and id != ''"> or id = #{id} </if>
             <if test="formmainId != null and formmainId != ''"> or formmain_id = #{formmainId} </if>
             <if test="argCode != null and argCode != ''"> or arg_code = #{argCode} </if>
             <if test="argName != null and argName != ''"> or arg_name = #{argName} </if>
             <if test="argType != null and argType != ''"> or arg_type = #{argType} </if>
             <if test="argValue != null and argValue != ''"> or arg_value = #{argValue} </if>
             <if test="remark != null and remark != ''"> or remark = #{remark} </if>
             <if test="sorts != null"> or sorts = #{sorts} </if>
             <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
              <if test="create_time != null"> or create_time = #{create_time} </if>
              <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
              <if test="modify_time != null"> or modify_time = #{modify_time} </if>
              <if test="sts != null and sts != ''"> or sts = #{sts} </if>
             <if test="org_id != null and org_id != ''"> or org_id = #{org_id} </if>
             and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity" keyProperty="id" useGeneratedKeys="true">
    insert into sys_integrated_foreground_task_detail(
  <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> id , </if>
            <if test="formmainId != null and formmainId != ''"> formmain_id , </if>
            <if test="argCode != null and argCode != ''"> arg_code , </if>
            <if test="argName != null and argName != ''"> arg_name , </if>
            <if test="argType != null and argType != ''"> arg_type , </if>
            <if test="argValue != null and argValue != ''"> arg_value , </if>
            <if test="remark != null and remark != ''"> remark , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="org_id != null and org_id != ''"> org_id , </if>
            <if test="sorts == null ">sorts,</if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> #{id} ,</if>
            <if test="formmainId != null and formmainId != ''"> #{formmainId} ,</if>
            <if test="argCode != null and argCode != ''"> #{argCode} ,</if>
            <if test="argName != null and argName != ''"> #{argName} ,</if>
            <if test="argType != null and argType != ''"> #{argType} ,</if>
            <if test="argValue != null and argValue != ''"> #{argValue} ,</if>
            <if test="remark != null and remark != ''"> #{remark} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="org_id != null and org_id != ''"> #{org_id} ,</if>
            <if test="sorts == null ">(select (max(IFNULL( a.sorts, 0 )) + 1) as sort from sys_integrated_foreground_task_detail a WHERE a.sts = 'Y' ),</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="id" useGeneratedKeys="true">
  insert into sys_integrated_foreground_task_detail(formmain_id, arg_code, arg_name, arg_type, arg_value, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.formmainId},#{entity.argCode},#{entity.argName},#{entity.argType},#{entity.argValue},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="id" useGeneratedKeys="true">
    insert into sys_integrated_foreground_task_detail(formmain_id, arg_code, arg_name, arg_type, arg_value, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.formmainId},#{entity.argCode},#{entity.argName},#{entity.argType},#{entity.argValue},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id})
    </foreach>
    on duplicate key update
    formmain_id = values(formmain_id),
    arg_code = values(arg_code),
    arg_name = values(arg_name),
    arg_type = values(arg_type),
    arg_value = values(arg_value),
    remark = values(remark),
    sorts = values(sorts),
    create_user_id = values(create_user_id),
    create_time = values(create_time),
    modify_user_id = values(modify_user_id),
    modify_time = values(modify_time),
    sts = values(sts),
    org_id = values(org_id)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity" >
update sys_integrated_foreground_task_detail  set
<trim suffix="" suffixOverrides=",">
  <if test="formmainId != null and formmainId != ''"> formmain_id = #{formmainId},</if>
  <if test="argCode != null and argCode != ''"> arg_code = #{argCode},</if>
  <if test="argName != null and argName != ''"> arg_name = #{argName},</if>
  <if test="argType != null and argType != ''"> arg_type = #{argType},</if>
  <if test="argValue != null and argValue != ''"> arg_value = #{argValue},</if>
  <if test="remark != null and remark != ''"> remark = #{remark},</if>
  <if test="sorts != null"> sorts = #{sorts},</if>
  <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
    <if test="create_time != null"> create_time = #{create_time},</if>
    <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
    <if test="modify_time != null"> modify_time = #{modify_time},</if>
    <if test="sts != null and sts != ''"> sts = #{sts},</if>
  <if test="org_id != null and org_id != ''"> org_id = #{org_id},</if>
  </trim>
where id = #{id}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity" >
update sys_integrated_foreground_task_detail  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity.SysIntegratedForegroundTaskDetailEntity" >
update sys_integrated_foreground_task_detail  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="formmainId != null and formmainId != ''"> and formmain_id = #{formmainId} </if>
            <if test="argCode != null and argCode != ''"> and arg_code = #{argCode} </if>
            <if test="argName != null and argName != ''"> and arg_name = #{argName} </if>
            <if test="argType != null and argType != ''"> and arg_type = #{argType} </if>
            <if test="argValue != null and argValue != ''"> and arg_value = #{argValue} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
                                                                <if test="sts != null and sts != ''"> and sts = #{sts} </if>
                         and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from sys_integrated_foreground_task_detail where id = #{id}
</delete>

</mapper>

